Subject: linux-next: build failure after merge of the rdma-leon tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 13 May 2016 10:08:07 +1000

Hi Leon,

After merging the rdma-leon tree, today's linux-next build (powerpc
ppc64_defconfig) failed like this:

ERROR: ".rdma_addr_size" [drivers/infiniband/core/rdma_ucm.ko] undefined!
ERROR: ".rdma_addr_register_client" [drivers/infiniband/core/rdma_cm.ko] undefined!
ERROR: ".rdma_addr_size" [drivers/infiniband/core/rdma_cm.ko] undefined!
ERROR: ".rdma_addr_unregister_client" [drivers/infiniband/core/rdma_cm.ko] undefined!
ERROR: ".rdma_translate_ip" [drivers/infiniband/core/rdma_cm.ko] undefined!
ERROR: ".rdma_copy_addr" [drivers/infiniband/core/rdma_cm.ko] undefined!
ERROR: ".rdma_resolve_ip" [drivers/infiniband/core/rdma_cm.ko] undefined!
ERROR: ".rdma_addr_cancel" [drivers/infiniband/core/rdma_cm.ko] undefined!
ERROR: ".rdma_resolve_ip_route" [drivers/infiniband/core/ib_sa.ko] undefined!
ERROR: ".addr_init" [drivers/infiniband/core/ib_core.ko] undefined!
ERROR: ".rdma_addr_find_l2_eth_by_grh" [drivers/infiniband/core/ib_core.ko] undefined!
ERROR: ".addr_cleanup" [drivers/infiniband/core/ib_core.ko] undefined!

I don't know what has caused this, but the rdma-leon tree shares a lot
of patches (but not commits) with the rdma tree and so needs to be
cleaned up. Please sort out your work flow.

I have dropped the rdma-leon tree for today.

-- 
Cheers,
Stephen Rothwell